Loading...
Searching...
No Matches
gr::filter::single_pole_iir< gr_complex, i_type, double > Class Template Reference

`#include <gnuradio/filter/single_pole_iir.h>`

## Public Member Functions

| single_pole_iir (double alpha=1.0)
| construct new single pole IIR with given alpha
gr_complex | filter (const i_type input)
| compute a single output value.
void | filterN (gr_complex output[], const i_type input[], unsigned long n)
| compute an array of N output values. `input` must have n valid entries.
void | set_taps (double alpha)
| install `alpha` as the current taps.
void | reset ()
| reset state to zero
gr_complexd | prev_output () const

## Protected Attributes

double | d_alpha
double | d_one_minus_alpha
gr_complexd | d_prev_output

## Constructor & Destructor Documentation

## single_pole_iir()

template<class i_type>

gr::filter::single_pole_iir< gr_complex, i_type, double >::single_pole_iir | ( | double | alpha = 1.0 | ) |

inline

construct new single pole IIR with given alpha

computes y(i) = (1-alpha) * y(i-1) + alpha * x(i)

References d_prev_output, and gr::filter::single_pole_iir< o_type, i_type, tap_type >::set_taps().

## Member Function Documentation

## filter()

template<class i_type>

gr_complex gr::filter::single_pole_iir< gr_complex, i_type, double >::filter | ( | const i_type | input | ) |

compute a single output value.

Returns
  the filtered input value.

References d_alpha, d_one_minus_alpha, and d_prev_output.

Referenced by filterN().

## filterN()

template<class i_type>

void gr::filter::single_pole_iir< gr_complex, i_type, double >::filterN | ( | gr_complex | output[],
|  | const i_type | input[],
|  | unsigned long | n )

compute an array of N output values. `input` must have n valid entries.

References filter().

## prev_output()

template<class i_type>

gr_complexd gr::filter::single_pole_iir< gr_complex, i_type, double >::prev_output | ( |  | ) | const

inline

References d_prev_output.

## reset()

template<class i_type>

void gr::filter::single_pole_iir< gr_complex, i_type, double >::reset | ( |  | ) |

inline

reset state to zero

References d_prev_output.

## set_taps()

template<class i_type>

void gr::filter::single_pole_iir< gr_complex, i_type, double >::set_taps | ( | double | alpha | ) |

inline

install `alpha` as the current taps.

References d_alpha, and d_one_minus_alpha.

## Member Data Documentation

## d_alpha

template<class i_type>

double gr::filter::single_pole_iir< gr_complex, i_type, double >::d_alpha

protected

Referenced by filter(), and set_taps().

## d_one_minus_alpha

template<class i_type>

double gr::filter::single_pole_iir< gr_complex, i_type, double >::d_one_minus_alpha

protected

Referenced by filter(), and set_taps().

## d_prev_output

template<class i_type>

gr_complexd gr::filter::single_pole_iir< gr_complex, i_type, double >::d_prev_output

protected

Referenced by filter(), prev_output(), reset(), and single_pole_iir().

The documentation for this class was generated from the following file:

- single_pole_iir.h